sub RunUserInterface(params As Object)
    if params.contentID <> invalid
        contentID = params.contentID
    else
        contentID = ""
    end if

    if params.options <> invalid
        options = params.options
    else
        options = ""
    end if

    showScreen(contentID, options)
end sub


sub showScreen(contentID As String, options As String)
    screen = CreateObject("roParagraphScreen")
    port = CreateObject("roMessagePort")
    screen.SetMessagePort(port)

    screen.addParagraph("contentID = " + contentID)
    screen.addParagraph("options = " + options)

    screen.Show()

    while true
        msg = wait(0, port)
        if msg <> invalid
            exit while
        end if
    end while
end sub
